明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2501|回复: 7

[请教]怎样任意建立工作轴和工作面?

[复制链接]
发表于 2004-4-20 19:15:00 | 显示全部楼层 |阅读模式
一个菜鸟问题。赫赫


谢谢各位高手!
发表于 2004-4-20 19:49:00 | 显示全部楼层
这个问题问得实在有点太大了,叫人没法回答,建议你先看看书。
发表于 2004-4-20 21:33:00 | 显示全部楼层
您最好能举出一个几何上讲得通(有确定的唯一解),实际上没法做出的案例,大家才好“七嘴八舌”。
发表于 2004-4-21 09:00:00 | 显示全部楼层
应当没有“任意”的可能。


必须是具有确切的关联约束才行...
 楼主| 发表于 2004-4-21 11:47:00 | 显示全部楼层
问题是这样的: 在用VBA编程时,需要建立自己的工作平面或者轴,例如需要建立一个与xy 、yz平面均成45度角的工作平面用VBA 程序怎么实现? 跟确切,就是我在进行阵列时,想通过建立一个自己的工作轴进行阵列(如图所画),该怎么建立呢? 代码如下:
PI = 4 * Atn(1) Dim myDocPart As PartDocument
Dim myComDef As PartComponentDefinition
Dim mySketch As PLanarSketch
Dim myRect As SketchEntitiesEnumerator '
Dim myTrGm As TransientGeometry
Dim myProfile As Profile
Dim myPt1 As Point2d
Dim myPt2 As Point2d Dim myExtrude As ExtrudeFeature
Set myDocPart = ThisApplication.Documents.Add(kPartDocumentObject, , True)
Set myComDef = myDocPart.ComponentDefinition
Set mySketch = myComDef.Sketches.Add(myComDef.WorkPlanes(3)) Set myTrGm = ThisApplication.TransientGeometry
Set myPt1 = myTrGm.CreatePoint2d(0, 0)
Set myPt2 = myTrGm.CreatePoint2d(10, 10)
Set myRect = mySketch.SketchLines.AddAsTwoPointRectangle(myPt1, myPt2) Set myProfile = mySketch.Profiles.AddForSolid Set myExtrude = myComDef.Features.ExtrudeFeatures.AddByDistanceExtent(myProfile, 1, kNegativeExtentDirection, kJoinOperation)
'Set myExtrude = myComDef.Features.ExtrudeFeatures.AddByDistanceExtent(myProfile, 1, kNegativeExtentDirection, kJoinOperation) '在得到的拉伸实体的顶面建立草图
Dim myFace As Face
Set myFace = myExtrude.StartFaces.Item(1)
Set mySketch = myComDef.Sketches.Add(myFace) Set myPt1 = myTrGm.CreatePoint2d(1, 1)
Set myPt2 = myTrGm.CreatePoint2d(2.5, 2.5) Set myRect = mySketch.SketchLines.AddAsTwoPointRectangle(myPt1, myPt2) '拉通小槽
Set myProfile = mySketch.Profiles.AddForSolid
Dim myExtruct1 As ExtrudeFeature
Set myExtruct1 = myComDef.Features.ExtrudeFeatures.AddByThroughAllExtent(myProfile, kNegativeExtentDirection, kCutOperation) '阵列 圆形阵列 dim myFeatColl As ObjectCollection
Set myFeatColl = ThisApplication.TransientObjects.CreateObjectCollection
myFeatColl.Add myExtruct1 Dim myXaxis As WorkAxis
Set myXaxis = myComDef.WorkAxes.Item(1) 'X
Dim myYaxis As WorkAxis
Set myYaxis = myComDef.WorkAxes.Item(2) 'Y
Dim myZaxis As WorkAxis
Set myZaxis = myComDef.WorkAxes.Item(3) 'Z myZaxis.Visible = True
Dim myCircPattern As CircularPatternFeature
Dim myStartPt As SketchPoint
Set myStartPt = mySketch.SketchPoints.Add(myPt2)
Set myCircPattern = myComDef.Features.CircularPatternFeatures.Add(myFeatColl, myZaxis, True, 8, 2 * PI, True, True) '问题在于我想建立 自己的旋转轴(图中所画)取代上一行代码中的 myZaxis(图中的z轴,黄色)
 楼主| 发表于 2004-4-21 11:50:00 | 显示全部楼层

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
发表于 2004-4-21 12:01:00 | 显示全部楼层
这种需求为什么要用程序实现?
 楼主| 发表于 2004-4-21 12:07:00 | 显示全部楼层
因为爱好,觉得因该可以的。


我是买了您的 Inventor R6-VB(A)程序设计


一书才,觉得编程有意思,才这么做的。


请陈老师帮忙。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-18 10:22 , Processed in 0.304577 second(s), 29 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表